VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsService"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Local Constants

Private Const SERVICE_STOPPED = &H1
Private Const SERVICE_START_PENDING = &H2
Private Const SERVICE_STOP_PENDING = &H3
Private Const SERVICE_RUNNING = &H4
Private Const SERVICE_CONTINUE_PENDING = &H5
Private Const SERVICE_PAUSE_PENDING = &H6
Private Const SERVICE_PAUSED = &H7
Private Const SERVICE_ACCEPT_STOP = &H1
Private Const SERVICE_ACCEPT_PAUSE_CONTINUE = &H2
Private Const SERVICE_ACCEPT_SHUTDOWN = &H4

'Local Variables
Private mvarDisplayName As String 'local copy
Private mvarServiceName As String 'local copy
Private mvarServiceStatus As String 'local copy
Private mvarAcceptStop As Boolean 'local copy
Private mvarAcceptShutDown As Boolean 'local copy
Private mvarAcceptPause As Boolean 'local copy
Private mvarControlsAccepted As Long 'local copy
Private mvarCurrentStatus As Long 'local copy

'CurrentStatus,ControlsAccepted,DisplayName,and Service Name
'Are Input
'Everything else is Read Only
'You can check the boolean values to find the service properties

Public Property Let CurrentStatus(ByVal vData As Long)
    mvarCurrentStatus = vData
End Property

Public Property Get CurrentStatus() As Long
    CurrentStatus = mvarCurrentStatus
End Property

Public Property Let ControlsAccepted(ByVal vData As Long)
    mvarControlsAccepted = vData
End Property

Public Property Get ControlsAccepted() As Long
    ControlsAccepted = mvarControlsAccepted
End Property

Public Property Get Running() As Boolean
    If (mvarCurrentStatus And SERVICE_RUNNING) = SERVICE_RUNNING Then
        Running = True
    Else
        Running = False
    End If
End Property

Public Property Get StartPending() As Boolean
    If (mvarCurrentStatus And SERVICE_START_PENDING) = SERVICE_START_PENDING Then
        StartPending = True
    Else
        StartPending = False
    End If
End Property

Public Property Get ContinuePending() As Boolean
    If (mvarCurrentStatus And SERVICE_CONTINUE_PENDING) = SERVICE_CONTINUE_PENDING Then
        ContinuePending = True
    Else
        ContinuePending = False
    End If
End Property

Public Property Get Paused() As Boolean
    If (mvarCurrentStatus And SERVICE_PAUSED) = SERVICE_PAUSED Then
        Paused = True
    Else
        Paused = False
    End If
End Property

Public Property Get PausePausing() As Boolean
    If (mvarCurrentStatus And SERVICE_PAUSE_PENDING) = SERVICE_PAUSE_PENDING Then
        PausePausing = True
    Else
        PausePausing = False
    End If
End Property

Public Property Get Stopped() As Boolean
    If (mvarCurrentStatus And SERVICE_STOPPED) = SERVICE_STOPPED Then
        Stopped = True
    Else
        Stopped = False
    End If
End Property

Public Property Get StopPending() As Boolean
    If (mvarCurrentStatus And SERVICE_STOP_PENDING) = SERVICE_STOP_PENDING Then
        StopPending = True
    Else
        StopPending = False
    End If
End Property

Public Property Get AcceptPause() As Boolean
    If (mvarControlsAccepted And SERVICE_ACCEPT_PAUSE_CONTINUE) = SERVICE_ACCEPT_PAUSE_CONTINUE Then
        AcceptPause = True
    Else
        AcceptPause = False
    End If
End Property

Public Property Get AcceptShutDown() As Boolean
    If (mvarControlsAccepted And SERVICE_ACCEPT_SHUTDOWN) = SERVICE_ACCEPT_SHUTDOWN Then
        AcceptShutDown = True
    Else
        AcceptShutDown = False
    End If
End Property

Public Property Get AcceptStop() As Boolean
    If (mvarControlsAccepted And SERVICE_ACCEPT_STOP) = SERVICE_ACCEPT_STOP Then
        AcceptStop = True
    Else
        AcceptStop = False
    End If
End Property

Public Property Let ServiceName(ByVal vData As String)
    mvarServiceName = vData
End Property

Public Property Get ServiceName() As String
    ServiceName = mvarServiceName
End Property

Public Property Let DisplayName(ByVal vData As String)
    mvarDisplayName = vData
End Property

Public Property Get DisplayName() As String
    DisplayName = mvarDisplayName
End Property
